gdaltools "info" does not work until you change a option

2013-06-26 12:31 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16988

Description

it returns always

Usage: gdalinfo [--help-general] [-mm] [-stats] [-hist] [-nogcp] [-nomd]

[-norat] [-noct] [-nofl] [-checksum] [-proj4] [-mdd domain]*

[-sd subdataset] datasetname

Edit: see #8165-7

Associated revisions

Revision 1ad59b79 - 2013-06-30 10:31 PM - Jürgen Fischer

fix #8165

History

#1 - 2013-06-26 01:35 AM - Mathieu Pellerin - nIRV

Giovanni, it works OK with me via Raster > Miscellaneous > Information on qgis master as of commit 619558d.

#2 - 2013-06-26 01:40 AM - Giovanni Manghi

Mathieu Pellerin - nIRV wrote:

Giovanni, it works OK with me via Raster > Miscellaneous > Information on qgis master as of commit 619558d.

I'm on master/Linux (Ubuntu nightly builds) and does not work.

#3 - 2013-06-26 01:45 AM - Mathieu Pellerin - nIRV

Ah, I did the test on a windows 7 machine, so that might be linux-specific.

#4 - 2013-06-26 08:39 AM - rcline -

I get the following QString error on OS X 10.8.3 with latest nightly build from Dakaota Cartography.
An error has occured while executing Python code:

Traceback (most recent call last):

  File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/plugins/GdalTools/GdalTools.py", line 333, in doInfo

    d = Info( self.iface )

  File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/plugins/GdalTools/tools/doInfo.py", line 45, in __init__

    BasePluginWidget.__init__( self, self.iface, "gdalinfo" )

  File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/plugins/GdalTools/tools/widgetPluginBase.py", line 39, in __init__

    self.base = BaseDialog( iface.mainWindow(), iface, self, self.windowTitle(), commandName)

  File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/plugins/GdalTools/tools/dialogBase.py", line 49, in __init__

    Utils.setProcessEnvironment(self.process)

  File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/plugins/GdalTools/tools/GdalTools_utils.py", line 827, in

setProcessEnvironment

    elif not QString( envval ).split( sep ).contains( val, Qt.CaseInsensitive ):

NameError: global name 'QString' is not defined

Python version:

2.7.2 (default, Oct 11 2012, 20:14:37) 

[GCC 4.2.1 Compatible Apple Clang 4.0 (tags/Apple/clang-418.0.60)]

#5 - 2013-06-27 03:46 PM - Giuseppe Sucameli

- Status changed from Open to Feedback

Unable to reproduce the Info tool's problem on my Ubuntu 12.10.

#6 - 2013-06-27 03:49 PM - Giuseppe Sucameli

rcline - wrote:

I get the following QString error on OS X 10.8.3 with latest nightly build from Dakaota Cartography.

The issue you reported was fixed in commit:"edd0cdd29". Please, the next time open a new ticket.

#7 - 2013-06-28 01:58 AM - Giovanni Manghi

- File 19.png added

- File 24.png added

- File 57.png added

Giuseppe Sucameli wrote:

Unable to reproduce the Info tool's problem on my Ubuntu 12.10.

as you can seen in the attached image by default there is no command in the bottom part of the dialog, but if I change one of the options then the command

is filled.
#8 - 2013-06-28 02:05 AM - Giuseppe Sucameli

- Status changed from Feedback to Open

- Subject changed from gdaltools "info" does not work anymore to gdaltools "info" does not work until you change a option

#9 - 2013-06-29 10:11 PM - Mathieu Pellerin - nIRV

I see, the reason why I didn't see it is because I wasn't relying on a qgis layer, I was selecting a raster via file picker dialogue. The issue here happens

when you open the gdaltool info dialogue and try to have it run on the qgis raster layer inserted by default in the input drop-down list.

In can reproduce this issue via these steps:

1. Create a new project

2. Add one raster layer

3. Open gdaltool's information window via Raster > Miscellaneous > Information...

4. The input file textbox will automatically be filed with the project's raster layer

5. Click on the 'OK' button to retrieve information on the raster layer

6. An error message box will show up

#10 - 2013-06-30 01:11 PM - Salvatore Larosa

I am unable to reproduce. I don't see any message error using gdalinfo tool. (Linux)

so, IMHO this is not a blocker issue !

#11 - 2013-06-30 01:32 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"1ad59b798e20dfe8b75f784cdf7a0d23a714aa3c".

#12 - 2017-08-08 08:04 AM - Jürgen Fischer

- Description updated

- Priority changed from Severe/Regression to Low

Files

57.png 651 KB 2013-06-27 Giovanni Manghi

19.png 644 KB 2013-06-27 Giovanni Manghi

24.png 629 KB 2013-06-27 Giovanni Manghi

2025-04-27 3/3


